Skip to main content
GET
List Applications

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null
default:100

Number of items per page

Required range: 1 <= x <= 1000
Example:

10

offset
integer | null
default:0

Number of items to skip

Required range: x >= 0
Example:

0

applicationId
string | null

Unique identifier of the application to filter by

workspaceId
string | null

Workspace IDs to filter by (comma-separated)

applicationName
string | null

Exact application name to filter by. Takes precedence over nameSearchQuery if both are provided.

fqn
string | null

FQN of the application to filter by.

workspaceFqn
string | null

FQN of the workspace to filter by.

applicationType
enum<string> | null

Application type to filter by (comma-separated).

Available options:
async-service,
service,
job,
spark-job,
helm,
notebook,
spark-notebook,
codeserver,
rstudio,
ssh-server,
volume,
application,
application-set,
intercept,
workflow
nameSearchQuery
string | null

Substring search query for application name. Ignored if applicationName is also provided.

environmentId
string | null

Environment IDs to filter by (comma-separated)

clusterId
string | null

Cluster IDs to filter by (comma-separated)

applicationSetId
string | null

Application set ID to filter by

paused
boolean | null

Filter by explicit pause state (true = paused, false = not paused). Does not account for autoshutdown.

deviceTypeFilter
enum<string> | null

Device type to filter by (comma-separated).

Available options:
cpu,
nvidia_gpu,
aws_inferentia,
nvidia_mig_gpu,
nvidia_timeslicing_gpu,
gcp_tpu
lastDeployedBySubjects
string | null

Subject slugs of last deployers to filter by (comma-separated). Email for users (e.g. user@example.com), name for virtual accounts.

lifecycleStage
enum<string> | null

Application lifecycle stage to filter by

Available options:
active,
deleting,
deletion_failed
isRecommendationPresentAndVisible
boolean | null

Whether the application has visible recommendations

Response

Paginated list of applications.

data
Application · object[]
required

List of applications matching the query

pagination
Pagination · object
required

Pagination metadata.